package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "",
   propOrder = {"totask", "fromtask", "condition", "exprmacrodependency"}
)
@XmlRootElement(
   name = "WORKFLOWLINK"
)
public class WORKFLOWLINK {
   @XmlAttribute(
      name = "FROMTASK",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String fromtask;
   @XmlAttribute(
      name = "TOTASK",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String totask;
   @XmlAttribute(
      name = "CONDITION"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String condition;
   @XmlElement(
      name = "EXPRMACRODEPENDENCY"
   )
   protected List<EXPRMACRODEPENDENCY> exprmacrodependency;

   public String getFROMTASK() {
      return this.fromtask;
   }

   public void setFROMTASK(String value) {
      this.fromtask = value;
   }

   public String getTOTASK() {
      return this.totask;
   }

   public void setTOTASK(String value) {
      this.totask = value;
   }

   public String getCONDITION() {
      return this.condition;
   }

   public void setCONDITION(String value) {
      this.condition = value;
   }

   public List<EXPRMACRODEPENDENCY> getEXPRMACRODEPENDENCY() {
      if (this.exprmacrodependency == null) {
         this.exprmacrodependency = new ArrayList();
      }

      return this.exprmacrodependency;
   }
}
